BizKitHub
DocsAPI ReferenceTeam Chat/bff/team-chat/room-update
postTeam ChatAdmin BFF

/bff/team-chat/room-update

Any participant may rename and add members; only the group owner may remove others.

Team chatpostBffTeam-chatRoom-update

Parameters

JSON body

Request body

application/json
roomIdstringRequired

24-char room id.

Length: 24–24
titlestringOptional
Length: 1–100
theme"blue" | "violet" | "pink" | "red" | "orange" | "green" | "teal" | "slate" | nullOptional
One of 2:
Variant 1
"blue" | "violet" | "pink" | "red" | "orange" | "green" | "teal" | "slate"
Variant 2
null
addUserIdsstring[]Optional

User wire id (cas__user.external_id).

removeUserIdsstring[]Optional

User wire id (cas__user.external_id).

Response schema

1 status code documented

200Success
success"true"Required

Response example

application/json
{
  "success": true
}

Request example

POST /bff/team-chat/room-update

post
curl -X POST "https://api.bizkithub.com/bff/team-chat/room-update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "roomId": "example_roomId",
  "title": "example_title",
  "addUserIds": [
    "string"
  ],
  "removeUserIds": [
    "string"
  ]
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key